//
//  RCCalculator.h
//  Recursive Descent parsing Calculator
//
//  Created by Rene Hexel on 20/10/06.
//  Copyright 2006 Rene Hexel. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface RCCalculator: NSObject
{
	NSScanner *scanner;			// expression scanner
	NSString *token;			// the currently scanned token
	NSCharacterSet *delimiter;		// token delimiter set (space)
}

- initWithStandardInput;			// read expression from stdin
- initWithString: (NSString *) string;		// read expression from string

- (double) expression;				// evaluate an expression
- (double) term;				// evaluate a term
- (double) factor;				// evaluate a factor

- nextToken;					// read the next token
@end
